
import DOMPurify from 'dompurify'

export const insertMarkTags = (text: string, search: string): string => {
    const start = text.indexOf(search)
    if (start === -1) {
        return DOMPurify.sanitize(text)
    }
    const end = start + search.length

    return DOMPurify.sanitize(text.substring(0, start)) + "<span class='highlight'>" + DOMPurify.sanitize(search) + "</span>" + DOMPurify.sanitize(text.substring(end, text.length))
}